import React, { ReactNode } from 'react';
import { StyleProp, ViewStyle } from 'react-native';
declare type WrapProps = {
    clickable?: boolean;
    style?: StyleProp<ViewStyle>;
    onPress?: () => void;
};
export declare type CellProps = WrapProps & {
    title: string;
    label?: string;
    value?: string;
    iconName?: string;
    iconSize?: number;
    iconColor?: string;
    renderIcon?: () => ReactNode;
    border?: boolean;
    centerRightText?: boolean;
    isLink?: boolean;
    rightIconName?: string;
};
declare const Cell: React.FC<CellProps>;
export default Cell;
