/// <reference types="react" />
export declare type ListProps<T> = {
    indexList: string[];
    dataList: T[][];
    activeStickyIndex: number;
    renderItem: (item: T, index: number) => JSX.Element;
    onKeyIndexChange: (index: number) => void;
};
declare const List: <T extends {}>(props: ListProps<T>) => JSX.Element;
export default List;
