import React from 'react';
import { TextInputProps, StyleProp, ViewStyle } from 'react-native';
export declare type SearchProps = {
    value: string;
    shape?: 'round' | 'square';
    textAlign?: 'left' | 'center' | 'right';
    color?: string;
    backgroundColor?: string;
    borderColor?: string;
    placeholder?: string;
    placeholderColor?: string;
    showClear?: boolean;
    showSearchText?: boolean;
    searchText?: string;
    searchTextColor?: string;
    textInputProps?: TextInputProps;
    style?: StyleProp<ViewStyle>;
    onChange: (value: string) => void;
    onSearch?: (value: string) => void;
    onClear?: () => void;
};
declare const Search: React.FC<SearchProps>;
export default Search;
